# Enum Class DocumentMode

java.lang.Object
java.lang.Enum<DocumentMode>
nu.validator.htmlparser.common.DocumentMode

All Implemented Interfaces:
  `Serializable, Comparable<DocumentMode>, Constable`

public enum DocumentMode extends Enum<DocumentMode>
Represents the HTML document compatibility mode.

Version:
  $Id$
Author:
  hsivonen

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALMOST_STANDARDS_MODE`
The Limited Quirks Mode aka.
`QUIRKS_MODE`
The Quirks Mode
`STANDARDS_MODE`
The Standards Mode

## Method Summary

Modifier and Type
Method
Description
`static DocumentMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DocumentMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STANDARDS_MODE

public static final DocumentMode STANDARDS_MODE
The Standards Mode

### ALMOST_STANDARDS_MODE

public static final DocumentMode ALMOST_STANDARDS_MODE
The Limited Quirks Mode aka. The Almost Standards Mode

### QUIRKS_MODE

public static final DocumentMode QUIRKS_MODE
The Quirks Mode

## Method Details

### values

public static DocumentMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DocumentMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null